Get an external storage configuration
admin.organization.external_storage.retrieve(strexternal_storage_id ) -> ExternalStorageConfiguration
GET
/organization/external_storage/{external_storage_id}Get an external storage configuration
import os
from openai import OpenAI
client = OpenAI(
admin_api_key=os.environ.get("OPENAI_ADMIN_KEY"), # This is the default and can be omitted
)
external_storage_configuration = client.admin.organization.external_storage.retrieve(
"extstorage_123",
)
print(external_storage_configuration.id)Response example
{
"object": "organization.external_storage",
"id": "extstorage_azure123",
"project_id": "proj_azure123",
"provider": {
"type": "azure",
"tenant_id": "11111111-1111-1111-1111-111111111111",
"subscription_id": "22222222-2222-2222-2222-222222222222",
"resource_group": "customer-rg",
"account_name": "customerstorage",
"container": "openai-data",
"region": "eastus"
},
"geography": "US",
"status": "validated",
"created_at": 1711471533
}
Returns Examples
Response example
{
"object": "organization.external_storage",
"id": "extstorage_azure123",
"project_id": "proj_azure123",
"provider": {
"type": "azure",
"tenant_id": "11111111-1111-1111-1111-111111111111",
"subscription_id": "22222222-2222-2222-2222-222222222222",
"resource_group": "customer-rg",
"account_name": "customerstorage",
"container": "openai-data",
"region": "eastus"
},
"geography": "US",
"status": "validated",
"created_at": 1711471533
}